linux-gkeop-5.4 5.4.0-1009.10~18.04.1 source package in Ubuntu

Changelog

linux-gkeop-5.4 (5.4.0-1009.10~18.04.1) bionic; urgency=medium

  * bionic/linux-gkeop-5.4: 5.4.0-1009.10~18.04.1 -proposed tracker
    (LP: #1911324)

  [ Ubuntu: 5.4.0-1009.10 ]

  * focal/linux-gkeop: 5.4.0-1009.10 -proposed tracker (LP: #1911325)
  * focal/linux: 5.4.0-63.71 -proposed tracker (LP: #1911333)
  * overlay: permission regression in 5.4.0-51.56 due to patches related to
    CVE-2020-16120 (LP: #1900141)
    - ovl: do not fail because of O_NOATIME
  * Focal update: v5.4.79 upstream stable release (LP: #1907151)
    - net/mlx5: Use async EQ setup cleanup helpers for multiple EQs
    - net/mlx5: poll cmd EQ in case of command timeout
    - net/mlx5: Fix a race when moving command interface to events mode
    - net/mlx5: Add retry mechanism to the command entry index allocation
  * Kernel 5.4.0-56 Wi-Fi does not connect (LP: #1906770)
    - mt76: fix fix ampdu locking
  * [Ubuntu 21.04 FEAT] mpt3sas: Request to include the patch set which supports
    topology where zoning is enabled in expander (LP: #1899802)
    - scsi: mpt3sas: Define hba_port structure
    - scsi: mpt3sas: Allocate memory for hba_port objects
    - scsi: mpt3sas: Rearrange _scsih_mark_responding_sas_device()
    - scsi: mpt3sas: Update hba_port's sas_address & phy_mask
    - scsi: mpt3sas: Get device objects using sas_address & portID
    - scsi: mpt3sas: Rename transport_del_phy_from_an_existing_port()
    - scsi: mpt3sas: Get sas_device objects using device's rphy
    - scsi: mpt3sas: Update hba_port objects after host reset
    - scsi: mpt3sas: Set valid PhysicalPort in SMPPassThrough
    - scsi: mpt3sas: Handling HBA vSES device
    - scsi: mpt3sas: Add bypass_dirty_port_flag parameter
    - scsi: mpt3sas: Handle vSES vphy object during HBA reset
    - scsi: mpt3sas: Add module parameter multipath_on_hba
    - scsi: mpt3sas: Bump driver version to 35.101.00.00
  * focal/linux: 5.4.0-62.70 -proposed tracker (LP: #1911144)
  * CVE-2020-28374
    - SAUCE: target: fix XCOPY NAA identifier lookup
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - update dkms package versions
  * CVE-2021-1052 // CVE-2021-1053
    - [Packaging] NVIDIA -- Add the NVIDIA 460 driver

 -- Kleber Sacilotto de Souza <email address hidden>  Mon, 18 Jan 2021 12:20:07 +0100

Upload details

Uploaded by:
Kleber Sacilotto de Souza on 2021-01-18
Uploaded to:
Bionic
Original maintainer:
Ubuntu Kernel Team
Architectures:
all amd64
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Bionic: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
linux-gkeop-5.4_5.4.0.orig.tar.gz 162.4 MiB 805f3ed93854317814c59caf2dbfd2097745685f95c8c18b509c9347dcc7d51f
linux-gkeop-5.4_5.4.0-1009.10~18.04.1.diff.gz 6.1 MiB 69c797a93e0d274c9e87679ecd640ac7f9aadbdf55ff21e1e7b5a38dcb204e14
linux-gkeop-5.4_5.4.0-1009.10~18.04.1.dsc 3.9 KiB 863fc91432727c9cc8172893bcfdf81d465976f8b7e64857caace20639ec5b01

View changes file

Binary packages built by this source

linux-buildinfo-5.4.0-1009-gkeop: Linux kernel buildinfo for version 5.4.0 on 64 bit x86 SMP

 This package contains the Linux kernel buildinfo for version 5.4.0 on
 64 bit x86 SMP.
 .
 You likely do not want to install this package.

linux-cloud-tools-5.4.0-1009-gkeop: Linux kernel version specific cloud tools for version 5.4.0-1009

 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 5.4.0-1009 on
 64 bit x86.

linux-gkeop-5.4-cloud-tools-5.4.0-1009: Linux kernel version specific cloud tools for version 5.4.0-1009

 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 5.4.0-1009 on
 64 bit x86.
 You probably want to install linux-cloud-tools-5.4.0-1009-<flavour>.

linux-gkeop-5.4-headers-5.4.0-1009: Header files related to Linux kernel version 5.4.0

 This package provides kernel header files for version 5.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-gkeop-5.4-headers-5.4.0-1009/debian.README.gz for details

linux-gkeop-5.4-source-5.4.0: Linux kernel source for version 5.4.0 with Ubuntu patches

 This package provides the source code for the Linux kernel version
 5.4.0.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-gkeop-5.4-headers
 package instead.

linux-gkeop-5.4-tools-5.4.0-1009: Linux kernel version specific tools for version 5.4.0-1009

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.4.0-1009 on
 64 bit x86.
 You probably want to install linux-tools-5.4.0-1009-<flavour>.

linux-headers-5.4.0-1009-gkeop: Linux kernel headers for version 5.4.0 on 64 bit x86 SMP

 This package provides kernel header files for version 5.4.0 on
 64 bit x86 SMP.
 .
 This is for sites that want the latest kernel headers. Please read
 /usr/share/doc/linux-gkeop-5.4-headers-5.4.0-1009/debian.README.gz for details.

linux-image-unsigned-5.4.0-1009-gkeop: Linux kernel image for version 5.4.0 on 64 bit x86 SMP

 This package contains the unsigned Linux kernel image for version 5.4.0 on
 64 bit x86 SMP.
 .
 Supports gkeop processors.
 .
 Geared toward GKE on-prem installations.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-gkeop meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-image-unsigned-5.4.0-1009-gkeop-dbgsym: Linux kernel debug image for version 5.4.0 on 64 bit x86 SMP

 This package provides the unsigned kernel debug image for version 5.4.0 on
 64 bit x86 SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

linux-modules-5.4.0-1009-gkeop: Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP

 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports gkeop processors.
 .
 Geared toward GKE on-prem installations.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-gkeop meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-modules-extra-5.4.0-1009-gkeop: Linux kernel extra modules for version 5.4.0 on 64 bit x86 SMP

 This package contains the Linux kernel extra modules for version 5.4.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports gkeop processors.
 .
 Geared toward GKE on-prem installations.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-gkeop meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-tools-5.4.0-1009-gkeop: Linux kernel version specific tools for version 5.4.0-1009

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.4.0-1009 on
 64 bit x86.